<div class="container  mb-5">
    <div class="py-2 col-6 ">
        <h3 class="display-6">Register</h3>
    </div>
    <form #userForm="ngForm" (ngSubmit)="onSubmit()" class="form" (submit)="submitted">
        <div class="form-group mb-3 col-lg-4 col-xs-12">
            <label>User Name</label>
          <input [(ngModel)]="fromParent.userName"
                 [formControl]="userName"
                 class="form-control mb-0.5 "
                 name="userName"
                 placeholder="Enter User Name "
                 type="text">
            <span *ngIf="userName.errors?.['required'] && submitted " class="text-danger ">
				Name is required
			</span>
        </div>
        <div class="form-group mb-3 col-lg-4 col-xs-12 ">
            <label for="email ">Email address</label>
          <input [(ngModel)]="fromParent.email"
                 type="email"
                 class="form-control mb-0.5 "
                 placeholder="Enter Email address "
                 [formControl]="email">
            <span *ngIf="email.errors?.['required'] && submitted" class="text-danger ">
				Email Address is required
			</span>
            <span *ngIf="email.errors?.['pattern'] && submitted" class="text-danger ">
                Enter a valid Email Address
            </span>
        </div>
        <button *ngIf="!isEdit " type="submit" class="btn btn-primary col-lg-2 col-xs-6 ">
			Submit
		</button>
        <button *ngIf="isEdit " class="btn btn-primary col-lg-2 col-xs-6 ">
			Update
		</button>
    </form>
</div>




<hr>

<app-user (sendToParent)="receiveUser($event) " [fromParent]="fromParent "></app-user>
